| KD SOAP 1.9.1

Public Member Functions | List of all members
KDSoapPendingCall Class Reference

`#include <KDSoapPendingCall.h>`

Inheritance diagram for KDSoapPendingCall:

## Public Member Functions
| KDSoapPendingCall (const KDSoapPendingCall &other)
| ~KDSoapPendingCall ()
KDSoapPendingCall & | operator= (const KDSoapPendingCall &other)
KDSoapMessage | returnMessage () const
QVariant | returnValue () const
KDSoapHeaders | returnHeaders () const
bool | isFinished () const

## Detailed Description

The KDSoapPendingCall class refers to one pending asynchronous call

A KDSoapPendingCall object is a reference to a SOAP method call that was sent over without waiting for a reply. KDSoapPendingCall is an opaque type, meant to be used as a handle for a pending reply.

The KDSoapPendingCallWatcher class allows one to connect to a signal that will indicate when the reply has arrived or if an error occurred.

Note
  If you create a copy of a KDSoapPendingCall object, all information will be shared among the many copies. Therefore, KDSoapPendingCall is an explicitly-shared object and does not provide a method of detaching the copies (since they refer to the same pending call)

See also
  KDSoapClientInterface::asyncCall()

## Constructor & Destructor Documentation

## ◆ KDSoapPendingCall()

KDSoapPendingCall::KDSoapPendingCall | ( | const KDSoapPendingCall & | other | ) |

Creates a copy of the `other` pending asynchronous call. Note that both objects will refer to the same pending call.

## ◆ ~KDSoapPendingCall()

KDSoapPendingCall::~KDSoapPendingCall | ( |  | ) |

Destroys this copy of the KDSoapPendingCall object.

Warning
  If this copy is also the last copy of a pending asynchronous call, the call will be canceled and no further notifications will be received.

## Member Function Documentation

## ◆ operator=()

KDSoapPendingCall & KDSoapPendingCall::operator= | ( | const KDSoapPendingCall & | other | ) |

Creates a copy of the `other` pending asynchronous call and drops the reference to the previously-referenced call. Note that both objects will refer to the same pending call after this function.

Warning
  If this object contained the last reference of a pending asynchronous call, the call will be canceled and no further notifications will be received.

## ◆ returnMessage()

KDSoapMessage KDSoapPendingCall::returnMessage | ( |  | ) | const

Returns the response message sent by the server. Could either be a fault (see KDSoapMessage::isFault) or the actual response arguments.

## ◆ returnValue()

QVariant KDSoapPendingCall::returnValue | ( |  | ) | const

Helper method for the simple case where a single argument is returned: Returns the value of that single argument.

## ◆ returnHeaders()

KDSoapHeaders KDSoapPendingCall::returnHeaders | ( |  | ) | const

Returns the response headers sent by the server.

## ◆ isFinished()

bool KDSoapPendingCall::isFinished | ( |  | ) | const

Returns `true` if the pending call has finished processing and the reply has been received.

Note
  This function only changes state if an external event happens, which in general only happens if you return to the event loop execution.

You generally do not need to use this: use KDSoapPendingCallWatcher to be notified of the call completion.

Warning
  This method requires Qt 4.6 to work properly. Do not call isFinished when KDSoap was compiled against 4.4 or 4.5, it will always return `false`.

The documentation for this class was generated from the following files:

- src/KDSoapClient/KDSoapPendingCall.h
- src/KDSoapClient/KDSoapPendingCall.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/